<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:22 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>S-Index</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="S-Index";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Z</a>&nbsp;<a name="I:S">
<!--   -->
</a>
<h2 class="title">S</h2>
<dl>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/LineUtils.html#screenPointToRay-javax.vecmath.Vector2f-javax.vecmath.Vector2f-float:A-">screenPointToRay(Vector2f, Vector2f, float[])</a></span> - Static method in class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/LineUtils.html" title="class in com.playground.drawingar.rendering">LineUtils</a></dt>
<dd>
<div class="block">Возвращает луч, брошенный с точки касания экрана.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/LineShaderRenderer.html#setDistanceScale-float-">setDistanceScale(float)</a></span> - Method in class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/LineShaderRenderer.html" title="class in com.playground.drawingar.rendering">LineShaderRenderer</a></dt>
<dd>
<div class="block">Устанавливает коэффициент глубины линии для лучшего отображения линии.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/model/Stroke.html#setLineWidth-float-">setLineWidth(float)</a></span> - Method in class com.playground.drawingar.model.<a href="../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a></dt>
<dd>
<div class="block">Устанавливает толщину линии.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/LineShaderRenderer.html#setLineWidth-float-">setLineWidth(float)</a></span> - Method in class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/LineShaderRenderer.html" title="class in com.playground.drawingar.rendering">LineShaderRenderer</a></dt>
<dd>
<div class="block">Устанавливает толщину линии.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/SnackbarHelper.html#setMaxLines-int-">setMaxLines(int)</a></span> - Method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers">SnackbarHelper</a></dt>
<dd>
<div class="block">Установить максимальное число строк.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/LineShaderRenderer.html#setMemory-int-javax.vecmath.Vector3f-javax.vecmath.Vector3f-javax.vecmath.Vector3f-float-int-float-float-float-">setMemory(int, Vector3f, Vector3f, Vector3f, float, int, float, float, float)</a></span> - Method in class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/LineShaderRenderer.html" title="class in com.playground.drawingar.rendering">LineShaderRenderer</a></dt>
<dd>
<div class="block">Вносит геометрическую информации в буферы.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/BaseActivity.html#setupImmersive--">setupImmersive()</a></span> - Method in class com.playground.drawingar.<a href="../com/playground/drawingar/BaseActivity.html" title="class in com.playground.drawingar">BaseActivity</a></dt>
<dd>
<div class="block">Конфигурирует экран в полноэкранный режим.</div>
</dd>
<dt><a href="../com/playground/drawingar/rendering/ShaderUtil.html" title="class in com.playground.drawingar.rendering"><span class="typeNameLink">ShaderUtil</span></a> - Class in <a href="../com/playground/drawingar/rendering/package-summary.html">com.playground.drawingar.rendering</a></dt>
<dd>
<div class="block">Вспомогательный класс, реализующий методы для работы с OpenGL ES.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/rendering/ShaderUtil.html#ShaderUtil--">ShaderUtil()</a></span> - Constructor for class com.playground.drawingar.rendering.<a href="../com/playground/drawingar/rendering/ShaderUtil.html" title="class in com.playground.drawingar.rendering">ShaderUtil</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/PermissionHelper.html#shouldShowRequestPermissionRationale-android.app.Activity-">shouldShowRequestPermissionRationale(Activity)</a></span> - Static method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/PermissionHelper.html" title="class in com.playground.drawingar.helpers">PermissionHelper</a></dt>
<dd>
<div class="block">Проверяет необходимость появления окна с обоснованием причины
 необходимости получения нужного разрешения.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/SnackbarHelper.html#show-android.app.Activity-java.lang.String-com.playground.drawingar.helpers.SnackbarHelper.DismissBehavior-">show(Activity, String, SnackbarHelper.DismissBehavior)</a></span> - Method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers">SnackbarHelper</a></dt>
<dd>
<div class="block">Общий метод для показа разного рода сообщения в снекбаре.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/MainActivity.html#showColorDialog--">showColorDialog()</a></span> - Method in class com.playground.drawingar.<a href="../com/playground/drawingar/MainActivity.html" title="class in com.playground.drawingar">MainActivity</a></dt>
<dd>
<div class="block">Показывает диалог с палитрой.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/SnackbarHelper.html#showError-android.app.Activity-java.lang.String-">showError(Activity, String)</a></span> - Method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers">SnackbarHelper</a></dt>
<dd>
<div class="block">Показывает снекбар с сообщением об ошибке.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/SnackbarHelper.html#showError-android.app.Activity-int-">showError(Activity, int)</a></span> - Method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers">SnackbarHelper</a></dt>
<dd>
<div class="block">Показывает ошибку.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/SnackbarHelper.html#showMessage-android.app.Activity-java.lang.String-">showMessage(Activity, String)</a></span> - Method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers">SnackbarHelper</a></dt>
<dd>
<div class="block">Показывает снекбар с сообщением.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/SnackbarHelper.html#showMessageWithDismiss-android.app.Activity-java.lang.String-">showMessageWithDismiss(Activity, String)</a></span> - Method in class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers">SnackbarHelper</a></dt>
<dd>
<div class="block">Показывает снекбар с сообщением и кнопкой для отмены.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/MainActivity.html#showStrokeDependentUI--">showStrokeDependentUI()</a></span> - Method in class com.playground.drawingar.<a href="../com/playground/drawingar/MainActivity.html" title="class in com.playground.drawingar">MainActivity</a></dt>
<dd>
<div class="block">Обновляет состояние UI элементов.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/model/Stroke.html#size--">size()</a></span> - Method in class com.playground.drawingar.model.<a href="../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a></dt>
<dd>
<div class="block">Возвращает количество точек линии.</div>
</dd>
<dt><a href="../com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers"><span class="typeNameLink">SnackbarHelper</span></a> - Class in <a href="../com/playground/drawingar/helpers/package-summary.html">com.playground.drawingar.helpers</a></dt>
<dd>
<div class="block">Вспомогательный класс для работы со <code>Snackbar</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/helpers/SnackbarHelper.html#SnackbarHelper--">SnackbarHelper()</a></span> - Constructor for class com.playground.drawingar.helpers.<a href="../com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers">SnackbarHelper</a></dt>
<dd>&nbsp;</dd>
<dt><a href="../com/playground/drawingar/helpers/SnackbarHelper.DismissBehavior.html" title="enum in com.playground.drawingar.helpers"><span class="typeNameLink">SnackbarHelper.DismissBehavior</span></a> - Enum in <a href="../com/playground/drawingar/helpers/package-summary.html">com.playground.drawingar.helpers</a></dt>
<dd>
<div class="block">dismiss behavior снекбара.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/PermissionsActivity.html#SPLASH_DISPLAY_LENGTH">SPLASH_DISPLAY_LENGTH</a></span> - Variable in class com.playground.drawingar.<a href="../com/playground/drawingar/PermissionsActivity.html" title="class in com.playground.drawingar">PermissionsActivity</a></dt>
<dd>
<div class="block">Время задержки перед переход на новый экран в мс.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/PermissionsActivity.html#startMainActivityDelayed--">startMainActivityDelayed()</a></span> - Method in class com.playground.drawingar.<a href="../com/playground/drawingar/PermissionsActivity.html" title="class in com.playground.drawingar">PermissionsActivity</a></dt>
<dd>
<div class="block">Открывает главный экран с задержкой по времени.</div>
</dd>
<dt><a href="../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model"><span class="typeNameLink">Stroke</span></a> - Class in <a href="../com/playground/drawingar/model/package-summary.html">com.playground.drawingar.model</a></dt>
<dd>
<div class="block">Представление линии.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/model/Stroke.html#Stroke-int-">Stroke(int)</a></span> - Constructor for class com.playground.drawingar.model.<a href="../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a></dt>
<dd>
<div class="block">Конструктор - создание новой линии.</div>
</dd>
<dt><span class="memberNameLink"><a href="../com/playground/drawingar/model/Stroke.html#subdivideSection-int-float-int-">subdivideSection(int, float, int)</a></span> - Method in class com.playground.drawingar.model.<a href="../com/playground/drawingar/model/Stroke.html" title="class in com.playground.drawingar.model">Stroke</a></dt>
<dd>&nbsp;</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Z</a>&nbsp;</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="index-16.html">Prev Letter</a></li>
<li><a href="index-18.html">Next Letter</a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?index-files/index-17.html" target="_top">Frames</a></li>
<li><a href="index-17.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
